开发工具 · Tool

webpack在VS code中执行命令报错解决方法

•̀.̫•́✧ · 7月1日 · 2020年 · 本文459字 · 阅读2分钟177

前言

今天在VS code编辑器中,用webpack打包小项目时,控制台报了下面的错误,按照提示也无法解决,webpack -v 能显示已经版本号,表明安装成功,运行webpack怎么提示没有安装呢

$ webpack -v
4.35.3

$ webpack
webpack not installed
Install webpack to start bundling:
  $ npm install --save-dev webpack

即使按上面提示再安装一次,还是提示请安装.

解决方法

完全卸载webpack,再重新安装低版本的webpack:推荐3.12.0 。

在全局下删除webpack

npm  uninstall  webpack  -g

安装指定版本webpack:

npm  install  webpack@<version>   -g        

例如:npm install  webpack@3.12.0  -g

安装3.12.0版本的webpack,打包项目时没有再出现以上问题。

0 条回应